Subject: Re: [v9, 6/6] fsl/fman: Add FMan MAC driver

From: Scott Wood <[email-masked]>
Date: Tue, 8 Dec 2015 16:44:38 -0600

On Tue, 2015-12-08 at 14:18 -0600, Andy Fleming wrote:
> On Thu, Dec 3, 2015 at 1:19 AM,  <[email-masked]> wrote:
> > From: Igal Liberman <[email-masked]>
> > 
> > This patch adds the Ethernet MAC driver supporting the three
> > different types of MACs: dTSEC, tGEC and mEMAC.
> > 
> > Signed-off-by: Igal Liberman <[email-masked]>
> 
> [...]
> 
> > +
> > +MODULE_LICENSE("Dual BSD/GPL");
> > +
> > +MODULE_AUTHOR("Emil Medve <[email-masked]>");
> 
> I imagine this email address doesn't exist anymore, or won't soon.
> This is also an issue in the ethernet driver (with my old address).
> I'm not sure what the right approach is, but we shouldn't be putting
> obsolete email addresses in the kernel.

I don't think a MODULE_AUTHOR tag makes sense for drivers like this that had a
lot of people work on them.  git history is better for giving credit in such
cases.

-Scott